<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated with glade 3.22.1 -->
<interface>
  <requires lib="gtk+" version="3.24"/>
  <template class="ReactorDesktopViewSettingsView" parent="ReactorDesktopViewContentsView">
    <child>
      <object class="GtkFrame">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <child>
          <object class="GtkListBox">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="selection_mode">none</property>
            <child>
              <object class="ReactorDesktopViewWidgetsContentsRow">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="label_text">Capacity Limit</property>
                <property name="expand_child">True</property>
                <child>
                  <object class="GtkAdjustment" id="scale_adjustment">
                    <property name="lower">50</property>
                    <property name="upper">100</property>
                    <property name="value">100</property>
                    <property name="step_increment">1</property>
                    <property name="page_increment">10</property>
                  </object>
                  <object class="GtkScale" id="capacity_scale">
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="adjustment">scale_adjustment</property>
                    <property name="fill_level">100</property>
                    <property name="round_digits">1</property>
                    <property name="digits">0</property>
                  </object>
                </child>
              </object>
            </child>
            <child>
              <object class="ReactorDesktopViewWidgetsContentsRow">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="label_text">Balancing Mode</property>
                <child>
                  <object class="GtkComboBoxText" id="balancing_selection">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <items>
                      <item id="always" translatable="yes">always</item>
                      <item id="charging" translatable="yes">charging</item>
                      <item id="never" translatable="yes">never</item>
                    </items>
                  </object>
                </child>
              </object>
            </child>
            <child>
              <object class="ReactorDesktopViewWidgetsContentsRow">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="label_text">Vitality Gain</property>
                <property name="ellipsize">end</property>
                <child>
		          <object class="ReactorDesktopViewWidgetsPolynomial" id="vitality_polynomial">
		            <property name="visible">True</property>
		            <property name="can_focus">False</property>
		          </object>
                </child>
              </object>
            </child>
            <child>
              <object class="ReactorDesktopViewWidgetsContentsRow">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="label_text">Voltage to Capacty</property>
                <property name="show_separator">False</property>
                <property name="ellipsize">end</property>
                <child>
		          <object class="ReactorDesktopViewWidgetsPolynomial" id="capacity_polynomial">
		            <property name="visible">True</property>
		            <property name="can_focus">False</property>
		          </object>
                </child>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkBox">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="margin_top">36</property>
        <property name="orientation">vertical</property>
        <property name="spacing">4</property>
        <child>
          <object class="GtkLabel">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="label">Cells</property>
            <property name="halign">start</property>
            <attributes>
              <attribute name="weight" value="bold"/>
            </attributes>
          </object>
        </child>
        <child>
          <object class="GtkFrame">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <child>
              <object class="GtkListBox" id="list_box">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="selection_mode">none</property>
                <child>
                  <object class="ReactorDesktopViewWidgetsContentsRow">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label_text">Overvoltage Value</property>
                    <child>
                      <object class="GtkAdjustment" id="spin_ov_adjustment">
                        <property name="upper">10000</property>
                        <property name="step_increment">1</property>
                        <property name="page_increment">100</property>
                      </object>
                      <object class="GtkSpinButton" id="ov_spinbutton">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="adjustment">spin_ov_adjustment</property>
                      </object>
                    </child>
                  </object>
                </child>
                <child>
                  <object class="ReactorDesktopViewWidgetsContentsRow">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label_text">Overvoltage Release</property>
                    <child>
                      <object class="GtkAdjustment" id="spin_ov_rel_adjustment">
                        <property name="upper">10000</property>
                        <property name="step_increment">1</property>
                        <property name="page_increment">100</property>
                      </object>
                      <object class="GtkSpinButton" id="ov_rel_spinbutton">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="adjustment">spin_ov_rel_adjustment</property>
                      </object>
                    </child>
                  </object>
                </child>
                <child>
                  <object class="ReactorDesktopViewWidgetsContentsRow">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label_text">Undervoltage Value</property>
                    <child>
                      <object class="GtkAdjustment" id="spin_uv_adjustment">
                        <property name="upper">10000</property>
                        <property name="step_increment">1</property>
                        <property name="page_increment">100</property>
                      </object>
                      <object class="GtkSpinButton" id="uv_spinbutton">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="adjustment">spin_uv_adjustment</property>
                      </object>
                    </child>
                  </object>
                </child>
                <child>
                  <object class="ReactorDesktopViewWidgetsContentsRow">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label_text">Undervoltage Release</property>
                    <property name="show_separator">False</property>
                    <child>
                      <object class="GtkAdjustment" id="spin_uv_rel_adjustment">
                        <property name="upper">10000</property>
                        <property name="step_increment">1</property>
                        <property name="page_increment">100</property>
                      </object>
                      <object class="GtkSpinButton" id="uv_rel_spinbutton">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="adjustment">spin_uv_rel_adjustment</property>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkBox" id="charging_settings_box">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="margin_top">36</property>
        <property name="orientation">vertical</property>
        <property name="spacing">4</property>
        <child>
          <object class="GtkLabel">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="label">Charging</property>
            <property name="halign">start</property>
            <attributes>
              <attribute name="weight" value="bold"/>
            </attributes>
          </object>
        </child>
        <child>
          <object class="ReactorDesktopViewWidgetsModeSettings" id="charging_panel">
            <property name="section_name">Charging</property>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkBox">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="margin_top">36</property>
        <property name="orientation">vertical</property>
        <property name="spacing">4</property>
        <child>
          <object class="GtkLabel">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="label">Discharging</property>
            <property name="halign">start</property>
            <attributes>
              <attribute name="weight" value="bold"/>
            </attributes>
          </object>
        </child>
        <child>
          <object class="ReactorDesktopViewWidgetsModeSettings" id="discharging_panel">
            <property name="section_name">Discharging</property>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="GtkBox">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="margin_top">36</property>
        <property name="orientation">vertical</property>
        <property name="spacing">4</property>
        <child>
          <object class="GtkLabel">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="label">Nominal Parameters</property>
            <property name="halign">start</property>
            <attributes>
              <attribute name="weight" value="bold"/>
            </attributes>
          </object>
        </child>
        <child>
          <object class="GtkFrame">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <child>
              <object class="GtkListBox">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="selection_mode">none</property>
                <child>
                  <object class="ReactorDesktopViewWidgetsContentsRow">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label_text">Capacity</property>
                    <child>
                      <object class="GtkAdjustment" id="nominal_cap_adjustment">
                        <property name="upper">10000</property>
                        <property name="step_increment">1</property>
                        <property name="page_increment">100</property>
                      </object>
                      <object class="GtkSpinButton" id="nominal_cap_spinbutton">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="adjustment">nominal_cap_adjustment</property>
                      </object>
                    </child>
                  </object>
                </child>
                <child>
                  <object class="ReactorDesktopViewWidgetsContentsRow">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label_text">Voltage</property>
                    <property name="show_separator">False</property>
                    <child>
                      <object class="GtkAdjustment" id="nominal_vol_adjustment">
                        <property name="upper">1000</property>
                        <property name="step_increment">1</property>
                        <property name="page_increment">10</property>
                      </object>
                      <object class="GtkSpinButton" id="nominal_vol_spinbutton">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="adjustment">nominal_vol_adjustment</property>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
  </template>
</interface>
